module.exports = {
  extends: ["@stellar/eslint-config"],
  rules: {
    "no-console": "off",
    "import/no-unresolved": "off",
    "react/jsx-filename-extension": ["error", { extensions: [".tsx", ".jsx"] }],
    "no-plusplus": "off",
    "jsdoc/check-indentation": "off",
    "@typescript-eslint/naming-convention": [
      "error",
      {
        selector: "typeProperty",
        format: ["PascalCase", "UPPER_CASE", "camelCase", "snake_case"],
        leadingUnderscore: "allow",
        trailingUnderscore: "allow",
      },
    ],
    // Disabled for now
    "prefer-const": "off",
    "no-var": "off",
    "prefer-template": "off",
    "@typescript-eslint/restrict-plus-operands": "off",
    "@typescript-eslint/unbound-method": "off",
    "new-cap": "off",
    "one-var": "off",
    "max-len": "off",
    "no-param-reassign": "off",
    "@typescript-eslint/no-shadow": "off",
    "no-shadow": "off",
    eqeqeq: "off",
    "no-return-assign": "off",
    "@typescript-eslint/prefer-for-of": "off",
    "vars-on-top": "off",
    "default-case": "off",
    "no-case-declarations": "off",
    "react/jsx-filename-extension": "off",
    "no-else-return": "off",
    "consistent-return": "off",
    "object-shorthand": "off",
    "no-restricted-globals": "off",
    radix: "off",
    "no-restricted-properties": "off",
    "arrow-body-style": "off",
    "no-bitwise": "off",
    "@typescript-eslint/dot-notation": "off",
    "dot-notation": "off",
    "no-lonely-if": "off",
    "no-useless-escape": "off",
    "no-buffer-constructor": "off",
    "react/prefer-stateless-function": "off",
    "jsx-a11y/anchor-is-valid": "off",
    "no-new": "off",
    "max-classes-per-file": "off",
    "no-useless-constructor": "off",
    "import/named": "off",
    "no-fallthrough": "off",
    "no-useless-return": "off",
    "import/no-mutable-exports": "off",
    camelcase: "off",
    "no-nested-ternary": "off",
    "func-names": "off",
    "prefer-arrow-callback": "off",
    "react/no-array-index-key": "off",
    "no-unused-vars": "off",
    "@typescript-eslint/no-unused-vars": "off",
    "react-hooks/exhaustive-deps": "off",
    "prefer-object-spread": "off",
    "no-alert": "off",
    "react/sort-comp": "off",
    "valid-jsdoc": "off",
  },
};
